config/routes.rb
Rails.application.routes.draw do
  resources :musees
  resources :arts
  root to: "musees#index"
  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html
end

app/models/application_record.rb
class ApplicationRecord < ActiveRecord::Base
  self.abstract_class = true
end

app/models/art.rb
class Art < ApplicationRecord
end

app/models/musee.rb
class Musee < ApplicationRecord
end

app/controllers/application_controller.rb
class ApplicationController < ActionController::Base
end

app/controllers/arts_controller.rb
class ArtsController < ApplicationController
  before_action :set_art, only: [:show, :edit, :update, :destroy]

  # GET /arts
  # GET /arts.json
  def index
    @arts = Art.all
  end

  # GET /arts/1
  # GET /arts/1.json
  def show
  end

  # GET /arts/new
  def new
    @art = Art.new
  end

  # GET /arts/1/edit
  def edit
  end

  # POST /arts
  # POST /arts.json
  def create
    @art = Art.new(art_params)

    respond_to do |format|
      if @art.save
        format.html { redirect_to @art, notice: 'Art was successfully created.' }
        format.json { render :show, status: :created, location: @art }
      else
        format.html { render :new }
        format.json { render json: @art.errors, status: :unprocessable_entity }
      end
    end
  end

  # PATCH/PUT /arts/1
  # PATCH/PUT /arts/1.json
  def update
    respond_to do |format|
      if @art.update(art_params)
        format.html { redirect_to @art, notice: 'Art was successfully updated.' }
        format.json { render :show, status: :ok, location: @art }
      else
        format.html { render :edit }
        format.json { render json: @art.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /arts/1
  # DELETE /arts/1.json
  def destroy
    @art.destroy
    respond_to do |format|
      format.html { redirect_to arts_url, notice: 'Art was successfully destroyed.' }
      format.json { head :no_content }
    end
  end

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_art
      @art = Art.find(params[:id])
    end

    # Never trust parameters from the scary internet, only allow the white list through.
    def art_params
      params.require(:art).permit(:Titre, :Description, :Date, :Dimensions, :Œuvre, :Auteur)
    end
end

app/controllers/musees_controller.rb
class MuseesController < ApplicationController
  before_action :set_musee, only: [:show, :edit, :update, :destroy]

  # GET /musees
  # GET /musees.json
  def index
    @musees = Musee.all
  end

  # GET /musees/1
  # GET /musees/1.json
  def show
  end

  # GET /musees/new
  def new
    @musee = Musee.new
  end

  # GET /musees/1/edit
  def edit
  end

  # POST /musees
  # POST /musees.json
  def create
    @musee = Musee.new(musee_params)

    respond_to do |format|
      if @musee.save
        format.html { redirect_to @musee, notice: 'Musee was successfully created.' }
        format.json { render :show, status: :created, location: @musee }
      else
        format.html { render :new }
        format.json { render json: @musee.errors, status: :unprocessable_entity }
      end
    end
  end

  # PATCH/PUT /musees/1
  # PATCH/PUT /musees/1.json
  def update
    respond_to do |format|
      if @musee.update(musee_params)
        format.html { redirect_to @musee, notice: 'Musee was successfully updated.' }
        format.json { render :show, status: :ok, location: @musee }
      else
        format.html { render :edit }
        format.json { render json: @musee.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /musees/1
  # DELETE /musees/1.json
  def destroy
    @musee.destroy
    respond_to do |format|
      format.html { redirect_to musees_url, notice: 'Musee was successfully destroyed.' }
      format.json { head :no_content }
    end
  end

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_musee
      @musee = Musee.find(params[:id])
    end

    # Never trust parameters from the scary internet, only allow the white list through.
    def musee_params
      params.require(:musee).permit(:Titre, :Description, :Date, :Dimensions, :Œuvre, :Auteur)
    end
end

app/helpers/application_helper.rb
module ApplicationHelper
end

app/helpers/arts_helper.rb
module ArtsHelper
end

app/helpers/musees_helper.rb
module MuseesHelper
end

app/views/arts/_form.html.erb
<%= form_with(model: art, local: true) do |form| %>
  <% if art.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(art.errors.count, "error") %> prohibited this art from being saved:</h2>

      <ul>
      <% art.errors.full_messages.each do |message| %>
        <li><%= message %></li>
      <% end %>
      </ul>
    </div>
  <% end %>

  <div class="field">
    <%= form.label :Titre %>
    <%= form.text_field :Titre %>
  </div>

  <div class="field">
    <%= form.label :Description %>
    <%= form.text_area :Description %>
  </div>

  <div class="field">
    <%= form.label :Date %>
    <%= form.text_field :Date %>
  </div>

  <div class="field">
    <%= form.label :Dimensions %>
    <%= form.text_field :Dimensions %>
  </div>

  <div class="field">
    <%= form.label :Œuvre %>
    <%= form.text_field :Œuvre %>
  </div>

  <div class="field">
    <%= form.label :Auteur %>
    <%= form.text_field :Auteur %>
  </div>

  <div class="actions">
    <%= form.submit %>
  </div>
<% end %>

app/views/arts/edit.html.erb
<h1>Editing Art</h1>

<%= render 'form', art: @art %>

<%= link_to 'Show', @art %> |
<%= link_to 'Back', arts_path %>

app/views/arts/index.html.erb
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"></script>

<p id="notice"><%= notice %></p>

<table>
  <div class="img_bk">
    <div class="header">
      <h1>Musée virtuel</h1>
      <h2>Plus de 50 oeuvres sont présentes sur cette page</h2>
    </div>
  </div>

  <ul>
    <li><a class="active" href="#home">Home</a></li>
    <li><a href="#news">News</a></li>
    <li><a href="#contact">Contact</a></li>
  </ul>
</table>

<div class="card-deck">
  <div class="card">
    <img class="card-img-top" src=".../100px180/" alt="Card image cap">
    <div class="card-body">
      <h5 class="card-title">Card title</h5>
      <p class="card-text">This is a wider card with supporting text below as a natural lead-in to additional content. This content is a little bit longer.</p>
    </div>
    <div class="card-footer">
      <small class="text-muted">Last updated 3 mins ago</small>
    </div>
  </div>
  <div class="card">
    <img class="card-img-top" src=".../100px180/" alt="Card image cap">
    <div class="card-body">
      <h5 class="card-title">Card title</h5>
      <p class="card-text">This card has supporting text below as a natural lead-in to additional content.</p>
    </div>
    <div class="card-footer">
      <small class="text-muted">Last updated 3 mins ago</small>
    </div>
  </div>
  <div class="card">
    <img class="card-img-top" src=".../100px180/" alt="Card image cap">
    <div class="card-body">
      <h5 class="card-title">Card title</h5>
      <p class="card-text">This is a wider card with supporting text below as a natural lead-in to additional content. This card has even longer content than the first to show that equal height action.</p>
    </div>
    <div class="card-footer">
      <small class="text-muted">Last updated 3 mins ago</small>
    </div>
  </div>
</div>

    <% @arts.each do |art| %>
      <div class="responsive">
        <div class="cyka"> <img src="<%= musee.Œuvre %>"> </div>
        <div><%= art.Titre %></div>
        <div><%= art.Description %></div>
        <div><%= art.Date %></div>
        <div><%= art.Dimensions %></div>
        <div><%= art.Auteur %></div>
        <p><%= link_to 'Show', art %></p>
        <p><%= link_to 'Edit', edit_art_path(musee) %></p>
        <p><%= link_to 'Destroy', art, method: :delete, data: { confirm: 'Are you sure?' } %></p>
      </div>
    <% end %>


<%= link_to 'Ajouter une oeuvre', new_musee_path %>

app/views/arts/new.html.erb
<h1>New Art</h1>

<%= render 'form', art: @art %>

<%= link_to 'Back', arts_path %>

app/views/arts/show.html.erb
<p id="notice"><%= notice %></p>

<p>
  <strong>Titre:</strong>
  <%= @art.Titre %>
</p>

<p>
  <strong>Description:</strong>
  <%= @art.Description %>
</p>

<p>
  <strong>Date:</strong>
  <%= @art.Date %>
</p>

<p>
  <strong>Dimensions:</strong>
  <%= @art.Dimensions %>
</p>

<p>
  <strong>Œuvre:</strong>
  <%= @art.Œuvre %>
</p>

<p>
  <strong>Auteur:</strong>
  <%= @art.Auteur %>
</p>

<%= link_to 'Edit', edit_art_path(@art) %> |
<%= link_to 'Back', arts_path %>

app/views/layouts/application.html.erb
<!DOCTYPE html>
<html>
  <head>
    <title>Museum</title>
    <%= csrf_meta_tags %>
    <%= csp_meta_tag %>

    <%= stylesheet_link_tag    'application', media: 'all', 'data-turbolinks-track': 'reload' %>
    <%= javascript_include_tag 'application', 'data-turbolinks-track': 'reload' %>
  </head>

  <body>
    <%= yield %>
  </body>
</html>

app/views/musees/_form.html.erb
<%= form_with(model: musee, local: true) do |form| %>
  <% if musee.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(musee.errors.count, "error") %> prohibited this musee from being saved:</h2>

      <ul>
      <% musee.errors.full_messages.each do |message| %>
        <li><%= message %></li>
      <% end %>
      </ul>
    </div>
  <% end %>

  <div class="field">
    <%= form.label :Titre %>
    <%= form.text_field :Titre %>
  </div>

  <div class="field">
    <%= form.label :Description %>
    <%= form.text_area :Description %>
  </div>

  <div class="field">
    <%= form.label :Date %>
    <%= form.text_field :Date %>
  </div>

  <div class="field">
    <%= form.label :Dimensions %>
    <%= form.text_field :Dimensions %>
  </div>

  <div class="field">
    <%= form.label :Œuvre %>
    <%= form.text_field :Œuvre %>
  </div>

  <div class="field">
    <%= form.label :Auteur %>
    <%= form.text_field :Auteur %>
  </div>

  <div class="actions">
    <%= form.submit %>
  </div>
<% end %>

app/views/musees/edit.html.erb
<div class="bk">
    <h1>Modifier l'œuvre</h1>

    <%= render 'form', musee: @musee %>

    <%= link_to 'Montrer', @musee %> |
    <%= link_to 'Retour', musees_path %>
</div>

app/views/musees/index.html.erb
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"></script>

<p id="notice"><%= notice %></p>

<table>
  <div class="img_bk">
    <div class="header">
      <h1>Musée virtuel</h1>
      <h2>Plus de 50 oeuvres sont présentes sur cette page</h2>
    </div>
  </div>
</table>
<div class="bk">
<%= link_to 'Ajouter une oeuvre', new_musee_path %>

  <div class="theme">
    <h1> Ceci est un test </h1>
    <p> oui </p>
  </div>
    <div class="alignement">
      <% @musees.each do |musee| %>
        <div class="alignement2">
          <img src="<%= musee.Œuvre %>" />
          <p class="titre"><%= musee.Titre %></p>
          <hr>
          <p class="description" > <u>Description :</u> <br> <span class="margin"><%= musee.Description %> </p>
          <p class="description"> <u>Date :</u> <br> <%= musee.Date %></p>
          <p class="description"> <u>Dimensions :</u> <br><%= musee.Dimensions %></p>
          <p class="description"> <u>Auteur :</u> <br><%= musee.Auteur %></p>
          <div class="jaune">
            <%= link_to 'Montrer', musee %>
            <%= link_to 'Modifier', edit_musee_path(musee) %>
            <%= link_to 'Supprimer', musee, method: :delete, data: { confirm: 'Are you sure?' } %>
          </div>
        </div>
      <% end %>
    </div>
  </div>

app/views/musees/new.html.erb
<h1>New Musee</h1>

<%= render 'form', musee: @musee %>

<%= link_to 'Back', musees_path %>

app/views/musees/show.html.erb
<p id="notice"><%= notice %></p>

<p>
  <strong>Titre:</strong>
  <%= @musee.Titre %>
</p>

<p>
  <strong>Description:</strong>
  <%= @musee.Description %>
</p>

<p>
  <strong>Date:</strong>
  <%= @musee.Date %>
</p>

<p>
  <strong>Dimensions:</strong>
  <%= @musee.Dimensions %>
</p>

<p>
  <strong>Œuvre:</strong>
  <%= @musee.Œuvre %>
</p>

<p>
  <strong>Auteur:</strong>
  <%= @musee.Auteur %>
</p>

<%= link_to 'Edit', edit_musee_path(@musee) %> |
<%= link_to 'Back', musees_path %>